Problem with API level

Xprinta's Avatar

Xprinta

28 May, 2018 01:02 PM

Hi! I´m trying to upload my app from Andromo to the Google Play Store. When I upload the APK, it appears this message

"the target API level of your application is 24 and must be at least 26 to ensure that it is compiled with the latest API, which offers optimal security and performance"

This can be a problem when I build the APK in Andromo? Thanks

  1. Support Staff 1 Posted by Darryl Hnatiuk on 28 May, 2018 01:06 PM

    Darryl Hnatiuk's Avatar

    Hi,

    Yes we're aware of the upcoming changes to Google Play and are working on the changes required. An update to Andromo will be released prior to the deadline in August.

    Darryl

  2. 2 Posted by Xprinta on 28 May, 2018 01:13 PM

    Xprinta's Avatar

    Hi! Thanks for the answer.

    So, until August I can´t update the app to the Play Store? Thanks

    De: Darryl Hnatiuk [mailto:[email blocked]]
    Enviado el: lunes, 28 de mayo de 2018 15:07
    Para: [email blocked]
    Asunto: Re: Problem with API level [Problems #21918]

  3. Support Staff 3 Posted by Darryl Hnatiuk on 28 May, 2018 01:19 PM

    Darryl Hnatiuk's Avatar

    Hi,

    No, you can update your apps right now as you always have done. It's just a notification making you aware of the new requirements that will take effect in August.

    Darryl

  4. 4 Posted by Xprinta on 28 May, 2018 01:29 PM

    Xprinta's Avatar

    H! But right now, I can´t upload my APK because the API is level 24 (i can´t check the option upload because it appears the warning message i sent you)

    De: Darryl Hnatiuk [mailto:[email blocked]]
    Enviado el: lunes, 28 de mayo de 2018 15:19
    Para: [email blocked]
    Asunto: Re: Problem with API level [Problems #21918]

  5. Support Staff 5 Posted by Darryl Hnatiuk on 28 May, 2018 01:36 PM

    Darryl Hnatiuk's Avatar

    Hi,

    If you're being prevented from publishing, it's NOT because of that notification. It does not prevent you from publishing your app right now. You're likely missing some required information that you haven't entered yet.

    Darryl

  6. 6 Posted by Xprinta on 28 May, 2018 03:12 PM

    Xprinta's Avatar

    Hi! I attach you two captures from the Play Console. You can see that I have only one warning and it is due to the level of the API (less than 26).

    I tried another ways but I still can´t upload this versión…

    Thanks.

    De: Darryl Hnatiuk [mailto:[email blocked]]
    Enviado el: lunes, 28 de mayo de 2018 15:36
    Para: [email blocked]
    Asunto: Re: Problem with API level [Problems #21918]

  7. Support Staff 7 Posted by Lorne Laliberte on 28 May, 2018 04:47 PM

    Lorne Laliberte's Avatar

    Hello,

    As Darryl said:

    If you're being prevented from publishing, it's NOT because of that notification. It does not prevent you from publishing your app right now. You're likely missing some required information that you haven't entered yet.

    Check that you aren't missing other information, such as required screenshots, etc.

    The API level is not required before August for new apps, and November for updates.

  8. 8 Posted by Xprinta on 29 May, 2018 09:05 AM

    Xprinta's Avatar

    Hi! Thanks for your Help. Finally I was able to upload the app to the Play Store.

    Regards!

    De: Lorne Laliberte [mailto:[email blocked]]
    Enviado el: lunes, 28 de mayo de 2018 18:47
    Para: [email blocked]
    Asunto: Re: Problem with API level [Problems #21918]

  9. Darryl Hnatiuk closed this discussion on 29 May, 2018 12:14 PM.

Discussions are closed to public comments.
If you need help with Andromo App Maker please start a new discussion.

Keyboard shortcuts

Generic

? Show this help
ESC Blurs the current field

Comment Form

r Focus the comment reply box
^ + ↩ Submit the comment

You can use Command ⌘ instead of Control ^ on Mac